Page MenuHomePhabricator

Satisfaction schema not recording visitPage events for autocomplete
Closed, ResolvedPublic

Description

We have a bit of variance in the visitPage vs click events in the satisfaction schema for full text (2:1), but for autocomplete the difference is incredibly large. We expected this to be exactly opposite, that more visitPage events would be fired than click. Investigate what is happening and why we get so few visitPage events for autocomplete.

select event_source, avg(click), avg(visitPage) from (select event_source, event_searchSessionId, sum(if(event_action='click',1,0)) as click, sum(if(event_action='visitPage',1,0)) as  visitPage from log.TestSearchSatisfaction2_15357244 where timestamp between 20160407000000 and 20160426000000 group by event_searchSessionId, event_source) x group by event_source;

+--------------+------------+----------------+
| event_source | avg(click) | avg(visitPage) |
+--------------+------------+----------------+
| autocomplete |     0.8285 |         0.0303 |
| fulltext     |     0.5281 |         0.2749 |
+--------------+------------+----------------+

Breakdown of autocomplete events by user agent (for may 22, 2016) using the following query, and then post-processed with R to identify browsers.

SELECT event_searchSessionId AS session_id,
                             userAgent AS user_agent,
                             event_action AS action
FROM [yesterday] WHERE event_action IN('click', 'visitPage')
                             AND event_subTest IS NULL
                             AND event_position IS NOT NULL
                             AND event_source = 'autocomplete'
browsermedian clicks per sessionmax clicks per sessiontotal clicks recordedmedian page visits per sessionmax page visits per sessiontotal page visits recorded
AppEngine-Google9.01418000
Epiphany4.044000
K-Meleon2.022000
Iron1.523000
Amazon Silk1.011000
Android1.038000
BlackBerry WebKit1.011000
Chrome1.099814209217
Chrome Mobile1.016000
Chrome Mobile iOS1.026000
Chromium1.0413000
Edge1.0378400325
Firefox1.012729060256
Firefox Mobile1.013000
Iceweasel1.013000
IE1.05720530385
Mail.ru Chromium Browser1.0319000
Maxthon1.025000
Mobile Safari1.0692000
Opera1.042439014
Opera Mobile1.011000
Puffin1.011000
QQ Browser1.036000
Safari1.0166490218
Samsung Internet1.026000
SeaMonkey1.026000
Sleipnir1.038000
Sogou Explorer1.0513000
UC Browser1.011000
Vivaldi1.026000
Yandex Browser1.088295028

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 23 2016, 6:23 PM
EBernhardson updated the task description. (Show Details)May 23 2016, 6:23 PM
Deskana triaged this task as High priority.May 26 2016, 10:14 PM
Deskana added a subscriber: Deskana.

This should be investigated soon. Let's figure it out once the upgrade is done.

Deskana moved this task from needs triage to Up Next on the Discovery-Search board.

A few new patches are up (attached to T137262) that might resolve our problems with autocomplete. Would be good to get the same analysis for fulltext to know if I should be spending more time to investigate that as well.

debt closed this task as Resolved.Jul 21 2016, 4:20 PM